/v1/workspaces/{workspace_id}/exportAuthExport the configuration
Categories, notification types with every template, and settings, in the shapes the create and `PUT /notification-types/by-key/{key}` calls accept: apply it to another workspace to promote a setup. Recipients are exported with `GET /recipients?include=preferences`.
Path parameters
workspace_id*string · uuidId of the workspace.
Response · 200 The configuration.
categories*arrayEvery category.
notification_types*arrayEvery notification type with its templates.
settings*objectWorkspace settings (defaults written by the settings API).
exported_at*string · date-timeWhen the export was made.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/export
Authorization: Bearer YOUR_TOKENResponse
{
"categories": [
{
"id": "00000000-0000-0000-0000-000000000000",
"key": "security",
"name": "string",
"description": "string",
"defaults": {},
"ordinal": 0,
"android_channel_id": "string",
"transactional": false,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"notification_types": [
{
"key": "string",
"name": "string",
"description": "string",
"category_key": "string",
"routing": {},
"critical": false,
"ttl_seconds": 0,
"default_locale": "string",
"email_quiet_hours": false,
"throttle": {},
"archived_at": "2026-01-01T00:00:00.000Z",
"templates": [
{
"channel": "inbox",
"locale": "string",
"body": {}
}
]
}
],
"settings": {},
"exported_at": "2026-01-01T00:00:00.000Z"
}